> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Blog posts by Blog ID

> The "Get Blog posts by Blog ID" API allows you get blog posts for any given blog site using blog ID.



## OpenAPI

````yaml /api-reference/blogs/openapi.json get /blogs/posts/all
openapi: 3.0.0
info:
  title: Blogs API
  description: Documentation for Blogs
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: blogs
    description: Documentation for Blogs
paths:
  /blogs/posts/all:
    get:
      summary: Get Blog posts by Blog ID
      description: >-
        The "Get Blog posts by Blog ID" API allows you get blog posts for any
        given blog site using blog ID.
      operationId: get-blog-post
      parameters:
        - name: locationId
          required: true
          in: query
          schema:
            type: string
        - name: limit
          required: true
          in: query
          schema:
            type: number
        - name: offset
          required: true
          in: query
          schema:
            type: number
        - name: searchTerm
          required: true
          in: query
          schema:
            type: string
        - name: status
          required: true
          in: query
          schema:
            type: string
        - name: blogId
          required: true
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BlogPostGetResponseWrapperDTO'
components:
  schemas:
    BlogPostGetResponseWrapperDTO:
      type: object
      properties:
        blogs:
          $ref: '#/components/schemas/BlogPostResponseDTO'
      required:
        - blogs
    BlogPostResponseDTO:
      type: object
      properties:
        categories:
          example:
            - 659ecabc4a37969a2b7cc370
            - 6683abde331c041f32c07aee
          description: Array of category IDs associated with the blog post
          type: array
          items:
            type: string
        tags:
          example:
            - Apple
            - Banana
          description: Array of tags associated with the blog post
          type: array
          items:
            type: string
        archived:
          type: boolean
          example: false
          description: Indicates whether the blog post is archived
        _id:
          type: string
          example: 66c381b38be80858b9af62b6
          description: Unique identifier of the blog post
        title:
          type: string
          example: Banana is good source of energy
          description: Title of the blog post
        description:
          type: string
          example: Description
          description: Description of the blog post
        imageUrl:
          type: string
          example: >-
            https://storage.googleapis.com/ghl-test/fACm0Ojm5oC70G3DcFmE/media/66b5aa3b1745b2713a8d033f.jpeg
          description: URL of the image associated with the blog post
        status:
          type: string
          example: PUBLISHED
          description: Publication status of the blog post
        locationId:
          type: string
          example: fACm0Ojm5oC70G3DcFmE
          description: Identifier of the location associated with the blog post
        imageAltText:
          type: string
          example: alt
          description: Alternative text for the blog post image
        blogId:
          type: string
          example: ZiMMOp3ZEdnsZ4qPAjW0
          description: Unique identifier of the blog
        urlSlug:
          type: string
          example: banana-good-energy
          description: URL slug for the blog post
        canonicalLink:
          type: string
          example: https://blog.chatgpts.agency/post/test-8384
          description: Canonical link of the blog post
        author:
          type: string
          example: 659ec9634a3796e4e47cc360
          description: Identifier of the author of the blog post
        publishedAt:
          type: string
          example: '2024-08-19T17:14:57.000Z'
          description: Timestamp when the blog post was published
        createdAt:
          type: string
          example: '2024-08-19T17:32:35.362Z'
          description: Timestamp when the blog post was created
        updatedAt:
          type: string
          example: '2024-08-19T17:32:36.182Z'
          description: Timestamp when the blog post was last updated
        currentVersion:
          type: string
          example: 66c381b38be80858b9af62b7
          description: Identifier of the current version of the blog post
      required:
        - categories
        - tags
        - archived
        - _id
        - title
        - description
        - imageUrl
        - status
        - locationId
        - imageAltText
        - blogId
        - urlSlug
        - canonicalLink
        - author
        - publishedAt
        - createdAt
        - updatedAt
        - currentVersion

````